/**\file decTigerJESP.cpp
 *
 * Authors:
 * Frans Oliehoek <faolieho@science.uva.nl>
 * Matthijs Spaan <mtjspaan@isr.ist.utl.pt>
 *
 * Copyright 2008 Universiteit van Amsterdam, Instituto Superior Tecnico
 *
 * This file is part of MultiAgentDecisionProcess.
 *
 * MultiAgentDecisionProcess is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 *
 * MultiAgentDecisionProcess is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MultiAgentDecisionProcess.  If not, see
 * <http://www.gnu.org/licenses/>.
 *
 * $Id: decTigerJESP.cpp 2151 2008-01-21 16:32:52Z mtjspaan $
 */

// Very short example program to demonstrate how to solve the DecTiger problem
#include "ProblemDecTiger.h"
#include "JESPExhaustivePlanner.h"

using namespace std;

int main()
{
    // construct problem
    ProblemDecTiger dectiger;
    // initialize planner for horizon 3
    JESPExhaustivePlanner jesp(3,&dectiger);
    // run the planning algorithm
    jesp.Plan();

    cout << "Value computed for DecTiger horizon 3: "
         << jesp.GetExpectedReward() << endl;
    cout << "Policy computed:" << endl;
    cout << jesp.GetJointPolicy()->SoftPrint() << endl;

    return(0);
}
